
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("basedata_powerclasslog")]
    public class BasedataPowerclasslog
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 当前耗电
        /// </summary>
        [Column("frontElect")]
        public string frontelect { get; set; }

        /// <summary>
        /// 当前总耗电
        /// </summary>
        [Column("totalElect")]
        public string totalelect { get; set; }

        /// <summary>
        /// 能耗
        /// </summary>
        [Column("power")]
        public string power { get; set; }

        [Column("createTime")]
        public DateTime? createtime { get; set; }

        [Column("shiftName")]
        public string shiftname { get; set; }

        [Column("lineId")]
        public int? lineid { get; set; }

        /// <summary>
        /// 1 副厂房电表 ,2 主厂房电表
        /// </summary>
        [Column("powerType")]
        public int? powertype { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

